import { ChoiceListOption } from './../../forms/page/widgets/widget-value/choice-list-options';
import { CommonFilterComponent } from './../common-filter/common-filter.component';
import { OnInit, SimpleChanges, OnChanges, AfterViewInit } from '@angular/core';
import { AxExpTextList } from '../../enlighten-lib/ax-expression/ax-exp-text-list';
import { AxOperator } from '../../enlighten-lib/filters/ax-operator';
import { CommonFilterService } from '../common-filter/common-filter.service';
import * as i0 from "@angular/core";
export declare class ChoiceListFilterComponent extends CommonFilterComponent implements OnInit, OnChanges, AfterViewInit {
    _commonFilterService: CommonFilterService;
    expressionValue: AxExpTextList;
    stringOperators: Array<AxOperator>;
    seriesList: Array<ChoiceListOption>;
    constructor(_commonFilterService: CommonFilterService);
    /**
     * ngOnChanges use to change the current page object
     */
    ngOnChanges(changes: SimpleChanges): void;
    /**
     * On init life cycle hook
     */
    ngOnInit(): void;
    removeHexCode(value: string): string;
    /**
     * Set expression value
     *
     * @overridden
     */
    setExpressionValue(): void;
    /**
     * Get called after view render
     */
    ngAfterViewInit(): void;
    /**
     * THis will reset Filter value.
     */
    resetFilter(): void;
    /**
     * This function clear the filter value.
     */
    clearValue(): void;
    /**
     * Set Default Value
     *
     * @overridden
     */
    setDefaultValue(): void;
    /**
     * Apply parent value parent value change
     */
    applyParentFilter(): void;
    /**
     * Clear Values
     *
     */
    clearAllValue(): void;
    /**
     *  Search Text changed.
     *
     * @overridden
     */
    searchTextChanged(searchText: string): void;
    setDisplayValue(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChoiceListFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChoiceListFilterComponent, "choice-list-filter", never, {}, {}, never, never>;
}
